[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThreadList.UnlockList

Unlocks the list after it was locked.

## Declaration

Source position: classesh.inc line 364

`public procedure TThreadList.UnlockList;`

## Description

UnLockList unlocks the list when it was locked for exclusive access. UnLocklist and LockList use an internal critical section, so all rules for multiple locking/unlocking of critical sections apply.

## See also

Clear |  | Removes all elements from the list.
Add |  | Adds an element to the list.
Remove |  | Removes an item from the list.
lockList |  | Locks the list for exclusive access.